# Get Signal Options

Retrieve available signal options for a specific entity type (contact or company).
This endpoint returns the list of signal types you can filter by when enriching contacts or companies.


  Endpoints:

    * Contacts: GET /api/signals/filters/contact
    * Companies: GET /api/signals/filters/company


  #### Available Signal Types


    #### For contacts:

    * allSignals - All available contact signal types
    * promotion - Job title promotions
    * companyChange - Company changes

    ---

    #### For companies:

      * allSignals - All available company signal types

    

    Hiring & Workforce:

    * surgeInHiring - Overall hiring activity increase
    * surgeInHiringByDepartment - Department-specific hiring surges
    * surgeInHiringByLocation - Location-specific hiring surges

    

      Headcount Trends:

    | Signal | Description |
    |--------|-------------|
    | headcountIncrease1m / headcountDecrease1m | 1-month employee count changes |
    | headcountIncrease3m / headcountDecrease3m | 3-month employee count changes |
    | headcountIncrease6m / headcountDecrease6m | 6-month employee count changes |
    | headcountIncrease12m / headcountDecrease12m | 12-month employee count changes |

    

      Technology & Digital Presence:

    * websiteTrafficIncrease - Website traffic growth
    * websiteTrafficDecrease - Website traffic decline
    * itSpendIncrease - IT spending increase
    * itSpendDecrease - IT spending decrease

    News Events:

    To retrieve company news, use one or more of the following category values:


    | Signal | Included Events |
    |--------|-----------------|
    | commercialActivityNews | Partnership, New Customer, New Vendor |
    | corporateStrategyNews | M&A, Facilities Expansion, New Location, Facility Closure, Asset Sale, Lawsuit Filed |
    | financialEventsNews | Funding Round, Asset Investment, Strategic Investment, IPO |
    | marketIntelligenceNews | Event Participation, Recognition, Competitor Activity |
    | peopleNews | Executive Hire, Executive Departure, Executive Promotion, Headcount Increase, Headcount Decrease |
    | productActivityNews | Product Launch, Product Development, Product Integration |
    | riskNews | Security Issue, Lawsuit Faced |


    > The response also includes available values for signal sub-filters:

      * newsEventTypes — available event type values for news signal filtering
      * hiringByDepartments — available department values for hiring surge filtering
      * hiringByLocations — available location values for hiring surge filtering (array of { country, state } objects)

Endpoint: GET /api/signals/filters/{objectType}
Security: ApiKeyAuth

## Path parameters:

  - `objectType` (string, required)
    The type of object to get signal options for
    Enum: "contact", "company"

## Response 200 fields (application/json):

  - `signals` (array)
    Example: ["promotion","companyChange"]

  - `objectType` (string)
    Example: "contact"

  - `filterOptions` (object)
    Available enum values for signal sub-filters. Only present in the company response.

  - `filterOptions.newsEventTypes` (array)
    Available values for the newsEventTypes filter

  - `filterOptions.hiringByDepartments` (array)
    Available values for the hiringByDepartments filter

## Response 401 fields (application/json):

  - `statusCode` (integer, required)
    HTTP status code
    Example: 400

  - `message` (string, required)
    Error message
    Example: "Validation failed"

  - `errors` (array)
    Detailed error messages (optional, only for validation errors)
    Example: ["entityType must be one of: contact, company"]


